aboutsummaryrefslogtreecommitdiffstats
path: root/community/syncthing/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-01 14:26:32 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-01 14:36:18 +0200
commit0a9b332b7e1ee8855c47688142e374b637bbbcef (patch)
tree1b4c33ff7e6c7a7715648393f609427cc0b487d1 /community/syncthing/APKBUILD
parentc12380196d2a9b142541c44780a60b282eeb834f (diff)
downloadaports-0a9b332b7e1ee8855c47688142e374b637bbbcef.tar.gz
aports-0a9b332b7e1ee8855c47688142e374b637bbbcef.tar.bz2
aports-0a9b332b7e1ee8855c47688142e374b637bbbcef.tar.xz
community/syncthing: upgrade to 0.14.3
please be aware that syncthing 0.14 is not compat with 0.13 install syncthing13 if you need to sync with older clients
Diffstat (limited to 'community/syncthing/APKBUILD')
-rw-r--r--community/syncthing/APKBUILD52
1 files changed, 28 insertions, 24 deletions
diff --git a/community/syncthing/APKBUILD b/community/syncthing/APKBUILD
index 2351e9f989..da045795f8 100644
--- a/community/syncthing/APKBUILD
+++ b/community/syncthing/APKBUILD
@@ -3,7 +3,7 @@
# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=syncthing
-pkgver=0.13.10
+pkgver=0.14.3
pkgrel=0
pkgdesc="Open Source Continuous File Synchronization"
url="http://syncthing.net/"
@@ -13,53 +13,57 @@ pkgusers="$pkgname"
pkggroups="$pkgname"
depends=""
depends_dev=""
-makedepends="godep go"
+makedepends="go"
install="$pkgname.pre-install"
-subpackages=""
+subpackages="$pkgname-utils"
options="!strip"
source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz
$pkgname.confd
$pkgname.initd"
-_builddir="$srcdir/src/github.com/$pkgname"
-prepare() {
- mkdir -p "$_builddir"
- ln -s "$srcdir"/$pkgname-$pkgver "$_builddir"/$pkgname || return 1
+builddir="$srcdir/src/github.com/$pkgname"
- cd "$_builddir"
- local i
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+prepare() {
+ default_prepare
+ mkdir -p "$builddir"
+ ln -s "$srcdir"/$pkgname-$pkgver "$builddir"/$pkgname || return 1
}
build() {
- cd "$_builddir"/$pkgname
- # XXX this sucks because it blindly fetches dependencies from
- # the internet not allowing us their verify their integrity.
- GOPATH="$srcdir" go run build.go -no-upgrade -version=v$pkgver
+ cd "$builddir"/$pkgname
+ export GOPATH="$srcdir"
+ # recent syncthing tarballs have all deps in vendor dir
+ # no need to use a go dep tool like glide/godep
+ go run build.go -no-upgrade -version=v$pkgver
}
package() {
- mkdir -p "$pkgdir"/usr/bin || return 1
install -d -o $pkgname -g $pkgname \
"$pkgdir"/var/lib/$pkgname || return 1
- mv "$_builddir"/$pkgname/bin/* \
- "$pkgdir"/usr/bin || return 1
+ install -D -m755 $builddir/$pkgname/bin/$pkgname \
+ "$pkgdir"/usr/bin/$pkgname || return 1
install -D -m755 "$srcdir"/$pkgname.initd \
"$pkgdir"/etc/init.d/$pkgname || return 1
install -D -m644 "$srcdir"/$pkgname.confd \
"$pkgdir"/etc/conf.d/$pkgname || return 1
}
-md5sums="3eb6d3e9fa73d2c29347d8192ab2185c syncthing-0.13.10.tar.gz
+utils() {
+ pkgdesc="Syncthing utilities"
+ for i in $(ls $builddir/$pkgname/bin); do
+ if ! [ "$i" = "$pkgname" ]; then
+ install -Dm 755 $builddir/$pkgname/bin/$i \
+ $subpkgdir/usr/bin/$i || return 1
+ fi
+ done
+}
+
+md5sums="ad97924ff901abf39c61c758f6738da6 syncthing-0.14.3.tar.gz
c4923d6df4d3e51274869c09ea46a3e1 syncthing.confd
760e26e5ea2f1dce8ce149a45f5e99bb syncthing.initd"
-sha256sums="a86c7948afabc6e7b07f217d5200fb1e36cde5bb13373d99cc67d5dc991ce3be syncthing-0.13.10.tar.gz
+sha256sums="1c7ce74db4bf780463c04ed3d5677296ad2bb347f3e35fe4229eb26893a6604a syncthing-0.14.3.tar.gz
da396f944d7b5b2e4f5a7a9a3a7b31529cf359ef7ebecec4c48383d0c8b6821e syncthing.confd
4d7c1de71cfc415d716471f32fdbb1693597f0209167e4c4ea302478481ab9b3 syncthing.initd"
-sha512sums="199c38644a7e5d43777ca2e497d5304d8e77485d21aeed9a00efc74dd98bfb0c473dd0bf3230b8e1e9742315915419f198bb8d0a9b294d2f6fe918b6e0175812 syncthing-0.13.10.tar.gz
+sha512sums="f9586013253ad031e1940e73f01f8ca398820e9ffeef0978fcd51079c535c04957c0be1314ecc635251ae06300c6b4141077ac5c3c8e7e9741d58e4545a7f3ba syncthing-0.14.3.tar.gz
b19cc3d802caa33f4d06852de590d2d984c12cf27d0540162cd7195da4f3f149c83c72e7a10f385b32b27fff6f39d33698e7402442a3f32a9da136c5d19059ae syncthing.confd
21fa7b0090e579ad0f02bb8cc9a78736eb99811613823bf12d477262da2281543d07b47ae0888e2e3876a687bf4cab3c89405447373a9c5ab2915989c5f9dce8 syncthing.initd"